<id>
Joined Date in Message View - Version 1.2 for YaBB 2.3
</id>

<version>
1.2
</version>

<mod info>
This mod will add users joined date in message view.
You can enable/disable this option in your admin panel.

Mod History:
Version 1.0 - Joined Date in Message Display (March 26 2008) - YaBB 2.2.1 - 2.2.3
Version 1.1 - Added a checkbox to enable/disable this setting (July 11 2008) - YaBB 2.2.1 - 2.2.3
Version 1.2 - Updated for YaBB 2.3 - Changed it from being added onto user text and changed name from 'Message Display' to 'Message View' (October 20 2008)

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.
 
Admin/ModList.pl
Admin/NewSettings.pl
Admin/Settings_Main.pl
Languages/English/Admin.lng (ASCII)
Languages/English/Display.lng (ASCII)
Sources/Display.pl (ASCII)
Templates/default/Display.template
Templates/yabb21/Display.template
</mod info>

<author>
Co-Production from Carsten, ThM and Derek Barnstorm
</author>

<homepage>
http://www.boardmod.org
</homepage>

<edit file>
Admin/ModList.pl
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$joineddate = "Joined Date in Message View|Carsten, Thomas Mueller (<a href=\"http://www.yabbwelt.de\" target=\"_blank\">ThM</a>) and Derek Barnstorm|This mod will add users joined date in message view. You can enable/disable this <a href=\"$adminurl?action=newsettings;page=main\">setting</a> in your admin panel.|1.2|20th October 2008";
	push (@installed_mods, "$joineddate");
</add before>

<edit file>
Admin/NewSettings.pl
</edit file>

<search for>
\$showgenderimage = $showgenderimage;			# Set to 1 to display each member's gender in the message view (by the ICQ.. etc.)
</search for>

<add after>
\$joineddate = $joineddate;				# Set to 1 to display each member's joined date in the message view 
</add after>

<edit file>
Admin/Settings_Main.pl
</edit file>

<search for>
		{
			description => $admin_txt{'386'},
			input_html => qq~<input type="checkbox" name="showgenderimage" value="1"${ischecked($showgenderimage)} />~,
			name => 'showgenderimage',
			validate => 'boolean',
		},
</search for>

<add after>
		{
			description => $admin_txt{'386a'},
			input_html => qq~<input type="checkbox" name="joineddate" value="1"${ischecked($joineddate)} />~,
			name => 'joineddate',
			validate => 'boolean',
		}, 
</add after>

<edit file>
Languages/English/Admin.lng
</edit file>

<search for>
'386' => 'Show Gender Image in Message View?',
</search for>

<add after>
'386a' => 'Show User Joined Date in Message View?', 
</add after>

<edit file>
Languages/English/Display.lng
</edit file>

<search for>
%display_txt = (
</search for>

<add after>
'09' => 'Joined', 
</add after>

<edit file>
Sources/Display.pl
</edit file>

<search for>
		my ($template_usertext, $template_postinfo, $template_gender, $template_profile, $template_email, $template_www, $template_pm, $avatar);
</search for>

<replace>
		my ($template_usertext, $template_regdate, $template_postinfo, $template_gender, $template_mood, $template_profile, $template_email, $template_www, $template_pm, $avatar);
</replace>

<search for>
			$template_usertext = ${$uid.$musername}{'usertext'};
</search for>

<add after>
		    $member_regdate = &timeformat(${$uid.$musername}{'regtime'});
			$template_regdate = qq~<p>$display_txt{'09'}: $member_regdate</p>~ if $joineddate;
</add after>

<search for>
		$outblock =~ s/({|<)yabb usertext(}|>)/$template_usertext/g;
</search for>

<add after>
		$outblock =~ s/({|<)yabb regdate(}|>)/$template_regdate/g;
</add after>

<edit file>
Templates/default/Display.template
</edit file>

<search for>
		{yabb usertext}<br />
</search for>

<add after>
		{yabb regdate}
</add after>

<edit file>
Templates/yabb21/Display.template
</edit file>

<search for>
		<yabb usertext><br />
</search for>

<add after>
		<yabb regdate>
</add after>
